> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Validate import file

> Validates a CSV import file without persisting any data



## OpenAPI

````yaml /api-specs/6.3/public-api.json post /api/taxonomy/v1/rpc/validate-file
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.3.1
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: AI Gateway
  - name: GenAI
  - name: AI Systems
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /api/taxonomy/v1/rpc/validate-file:
    post:
      tags:
        - Tags
      summary: Validate import file
      description: Validates a CSV import file without persisting any data
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                file:
                  description: CSV file to validate
                  type: string
                  format: binary
              required:
                - file
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/data-taxonomy-service_taxonomy.FileValidationSuccessResponse
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/data-taxonomy-service_server.HTTPError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/data-taxonomy-service_server.HTTPError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/data-taxonomy-service_server.HTTPError'
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/data-taxonomy-service_taxonomy.FileValidationErrorResponse
components:
  schemas:
    data-taxonomy-service_taxonomy.FileValidationSuccessResponse:
      type: object
      properties:
        valid:
          type: boolean
    data-taxonomy-service_server.HTTPError:
      type: object
      properties:
        message:
          type: string
    data-taxonomy-service_taxonomy.FileValidationErrorResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: >-
              #/components/schemas/data-taxonomy-service_taxonomy.FileValidationError
    data-taxonomy-service_taxonomy.FileValidationError:
      type: object
      properties:
        line:
          type: integer
        message:
          type: string

````

## Related topics

- [Import from file](/6.3/api-reference/tags/import-from-file.md)
- [Tags](/6.3/platform-capabilities/core-concepts/knowledge-management/tags.md)
- [Validate MPI version](/6.3/platform-capabilities/features/compute-clusters-hpc/mpi/validate-mpi-version.md)
- [Set up prediction capture](/6.3/platform-capabilities/features/monitoring/3-set-up-domino-endpoints/1-set-up-prediction-capture.md)
